/// <reference types="node" />
import { SpawnSyncOptions, SpawnSyncReturns } from 'child_process';
export declare type IOData = Buffer | string;
export declare type OptionalIOData = IOData | null | undefined;
export declare type Argv = string[];
export interface SpawnReturns {
    readonly status: number | null;
    readonly signal: string | null;
    readonly error: Error | null;
    readonly stdout: string | null;
    readonly stderr: string | null;
}
export declare type SpawnFunc = (argv: Argv, options: SpawnSyncOptions) => SpawnSyncReturns<IOData>;
export declare const createSpawnFunc: (command: string) => SpawnFunc;
export declare function spawn(fn: SpawnFunc, argv?: Argv, options?: SpawnSyncOptions): SpawnReturns;
export declare namespace spawn {
    const withCommand: (command: string, argv?: Argv | undefined, options?: SpawnSyncOptions | undefined) => SpawnReturns;
}
export default spawn;
