"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const yaml = tslib_1.__importStar(require("js-yaml"));
function mkfn(fn, options = {}) {
    return (x, extraOptions = {}) => () => {
        expect('\n' + fn(x, Object.assign(Object.assign({}, options), extraOptions)) + '\n').toMatchSnapshot();
    };
}
exports.mkfn = mkfn;
const defaultOptions = {
    skipInvalid: true,
    sortKeys: true,
    noRefs: false,
    noCompatMode: true
};
const unsafeDump = (x, o) => yaml.dump(x, o);
const safeDump = (x, o) => yaml.safeDump(x, o);
exports.unsafe = mkfn(unsafeDump, defaultOptions);
exports.safe = mkfn(safeDump, defaultOptions);
exports.pureUnsafe = mkfn(unsafeDump);
exports.pureSafe = mkfn(safeDump);
exports.noRefs = mkfn(unsafeDump, { noRefs: true });
exports.default = exports.unsafe;
//# sourceMappingURL=snap.js.map